<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <RootNamespace>foodmarket.UnitTests</RootNamespace>
    <AssemblyName>foodmarket.UnitTests</AssemblyName>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\food-market.domain\food-market.domain.csproj" />
    <ProjectReference Include="..\..\src\food-market.application\food-market.application.csproj" />
    <ProjectReference Include="..\..\src\food-market.infrastructure\food-market.infrastructure.csproj" />
    <ProjectReference Include="..\..\src\food-market.api\food-market.api.csproj" />
    <ProjectReference Include="..\..\src\food-market.shared\food-market.shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
    <PackageReference Include="xunit" />
    <PackageReference Include="xunit.runner.visualstudio" />
    <PackageReference Include="FluentAssertions" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" />
    <PackageReference Include="coverlet.collector" />
  </ItemGroup>

</Project>
